QXmppRpcResponseIq Class Reference
Stanzas

The QXmppRpcResponseIq class represents an IQ used to carry an RPC response as specified by XEP-0009: Jabber-RPC. More...

`#include <QXmppRpcIq.h>`

Inheritance diagram for QXmppRpcResponseIq:

List of all members.

## Public Member Functions

int | faultCode () const
void | setFaultCode (int faultCode)
QString | faultString () const
void | setFaultString (const QString &faultString)
QVariantList | values () const
void | setValues (const QVariantList &values)

## Detailed Description

The QXmppRpcResponseIq class represents an IQ used to carry an RPC response as specified by XEP-0009: Jabber-RPC.

## Member Function Documentation

int QXmppRpcResponseIq::faultCode | ( |  | ) | const

Returns the fault code.

QString QXmppRpcResponseIq::faultString | ( |  | ) | const

Returns the fault string.

void QXmppRpcResponseIq::setFaultCode | ( | int | faultCode | ) |

Sets the fault code.

Parameters:

  faultCode |

void QXmppRpcResponseIq::setFaultString | ( | const QString & | faultString | ) |

Sets the fault string.

Parameters:

  faultString |

void QXmppRpcResponseIq::setValues | ( | const QVariantList & | values | ) |

Sets the response values.

Parameters:

  values |

QVariantList QXmppRpcResponseIq::values | ( |  | ) | const

Returns the response values.

The documentation for this class was generated from the following files:

- QXmppRpcIq.h
- QXmppRpcIq.cpp

All Classes Functions Enumerations Enumerator Properties